
From: Adrian Bunk <bunk@stusta.de>

This patch fixes the LITTLE_ENDIAN #define and a function prototype.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/skfp/h/osdef1st.h |    2 ++
 drivers/net/skfp/smt.c        |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/net/skfp/h/osdef1st.h~drivers-net-skfp-fix-little_endian drivers/net/skfp/h/osdef1st.h
--- 25/drivers/net/skfp/h/osdef1st.h~drivers-net-skfp-fix-little_endian	2005-05-02 18:21:27.000000000 -0700
+++ 25-akpm/drivers/net/skfp/h/osdef1st.h	2005-05-02 18:21:27.000000000 -0700
@@ -20,6 +20,8 @@
 // HWM (HardWare Module) Definitions
 // -----------------------
 
+#include <asm/byteorder.h>
+
 #ifdef __LITTLE_ENDIAN
 #define LITTLE_ENDIAN
 #else
diff -puN drivers/net/skfp/smt.c~drivers-net-skfp-fix-little_endian drivers/net/skfp/smt.c
--- 25/drivers/net/skfp/smt.c~drivers-net-skfp-fix-little_endian	2005-05-02 18:21:27.000000000 -0700
+++ 25-akpm/drivers/net/skfp/smt.c	2005-05-02 18:21:27.000000000 -0700
@@ -86,7 +86,7 @@ static void smt_send_sif_config(struct s
 static void smt_send_sif_operation(struct s_smc *smc, struct fddi_addr *dest,
 				   u_long tid, int local);
 #ifdef LITTLE_ENDIAN
-static void smt_string_swap(void);
+static void smt_string_swap(char *data, const char *format, int len);
 #endif
 static void smt_add_frame_len(SMbuf *mb, int len);
 static void smt_fill_una(struct s_smc *smc, struct smt_p_una *una);
_
